Package Details: fcitx-sogoupinyin 2.3.2.07-3

Git Clone URL: https://aur.archlinux.org/fcitx-sogoupinyin.git (read-only, click to copy)
Package Base: fcitx-sogoupinyin
Description: Sogou Pinyin for Linux
Upstream URL: https://pinyin.sogou.com/linux/
Keywords: fcitx sogou sogoupinyin
Licenses: custom
Submitter: JoveYu
Maintainer: qft
Last Packager: qft
Votes: 102
Popularity: 1.49
First Submitted: 2013-03-28 07:28
Last Updated: 2020-09-18 22:14

Pinned Comments

bianjp commented on 2016-10-13 02:37

Gnome 3.22 changes the default backend to Wayland but fcitx does not fully support wayland yet. Switch to "Gnome on xorg" if fcitx-sogou does not work.

Unable to start? Try rm -rf ~/.sogouinput

Still not working? Try rm -rf ~/.sogouinput ~/.config/SogouPY* and re-login.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

FourSeasons commented on 2020-05-05 13:20

It is not working for me, after starting fcitx and adding sogou pinying, hot key won't ttrigger the pinying input.

xusine commented on 2020-05-02 01:07

https://gitee.com/laomocode/fcitx-sogouimebs This is a project extracting the binary release from the UKylin community. It works in Manjaro 20, although the preset themes are not so much.

fang-anpai commented on 2020-04-19 03:57

我在manjaro20.0(KDE 5.69.0)上遇到了一个问题,每次开机fcitx需要很久启动(任务栏图标为黑框),启动成功之前打开的所有窗口不能输入中文(即使fcitx成功启动) 关闭sogou则正常 试图在命令行启动sogou-qimpanel,提示缺少icui18n这个库 我不知道其他人是否碰到了类似的麻烦,这个解决了我的问题: pacman -S icu

wm8120 commented on 2020-04-16 23:57

After install fcitx-sogoupinyin and kcm-fcitx in KDE, add sogoupinyin from configure menu, try CTRL+SPACE to switch input method, but no response. And sogoupinyin option disappear from configure menu. There isn't sogou-qimpanel process in system either.

xuanruiqi commented on 2020-03-20 21:03

Default is fcitx5 instead of fcitx now. Can this package work w/ fcitx5?

kxuan commented on 2020-03-16 08:35

Hi qft,

Sorry, I checked all binaries again. It seems icu64 is loaded by another module which sogou-qimpanel depends on.

But sogou-qimpanel still unable to start on my machine.

After upgrading system on the last Friday, sogou-qimpanel crashed and unable start manually.

I use strace to trace sogou-qimpanel, and try to see whether there is a library missing or not.

the strace log shows:

09:36:46 openat(AT_FDCWD, "/usr/lib/tls/haswell/x86_64/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/tls/haswell/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/tls/x86_64/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/tls/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/haswell/x86_64/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/haswell/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/x86_64/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/libicui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/libicui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/icui18n.so.64", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
09:36:46 openat(AT_FDCWD, "/usr/lib/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)

This issue can be resolved by installing aur/icu64 manually. But sogou-qimpanel still unable to start. I use gdb to load the core dump file. It seems like the sogou-qimpanel is trying to search a file recursively in /usr/share/sogou-qimpanel/skin. But it fails to ignore the "." (current directory). Finally, stack overflow happended and process crashed.

Now, I switch to fcitx-rime. Hope anyone can resolve this issue.

qft commented on 2020-03-14 15:15

Hi kxuan, I do not see any of files supplied by sogoupinyin linking against icu, and icu is currently not a dependency for sogoupinyin. Also I never experienced any issues after the icu upgrade. How do you know the issue was caused by icu? Thanks!

kxuan commented on 2020-03-14 08:30

archlinux bumps its icu to version 65. It breaks the sogoupinyin. Add icu64 to the depends please!

gogobody commented on 2020-03-10 10:50

solved: Error parsing key “overrides” in schema “org.gnome.settings-daemon.plugins.xsettings”....

sudo nano /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override change the line of overrides:

overrides=Gtk/IMModule:<fcitx>

change to:

overrides={'Gtk/IMModule':<'fcitx'>}

then save file and run

sudo glib-compile-schemas /usr/share/glib-2.0/schemas/

then reboot

Sherlock-Holo commented on 2020-02-14 02:26

when install, the hook Compiling GSettings XML schema files... report

Error parsing key “overrides” in schema “org.gnome.settings-daemon.plugins.xsettings” as specified in override file “/usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override”: 1:expected value. Ignoring override for this key.